%global dlrn_nvr 5.4.3-1.20230131232551.e7557a5
%global dlrn 1
%define upstream_version 5.4.3
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-placement
Version: 5.4.3
Release: 1.20230131232551.e7557a5%{?dist}
Summary:        Puppet module for OpenStack Placement
License:        ASL 2.0

URL:            https://launchpad.net/puppet-placement

Source0: 5.4.3-1.20230131232551.e7557a5.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=e7557a5f600648908da5964a96def7c5ec732b02

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Placement

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-placement-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/placement/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/placement/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/placement/files/placement-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/placement/


%changelog
* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 8.0.1-1.20230131232551.e7557a5
- Update patches
- Add support for MultiStrOpt

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 8.0.1-1.20221226005350.6707057
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 8.0.1-1.20221109023710.36ecdfd
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 8.0.1-1.20221108085635.36ecdfd
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 8.0.1-1.20221102020456.d67dfdd
- Update patches
- Prepare the final wallaby release

* Wed Sep 21 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220922034039.b3ae46f
- Update patches
- update file name for apache config on Debian

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220727180613.c0f39d5
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220714120217.c0f39d5
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220713075738.c0f39d5
- Update patches

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.0-0.20220317184615.c0f39d5
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 7.1.1-0.20220217231015.333caa5
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 7.1.1-0.20220204013038.333caa5
- Update patches
- Prepare a new Wallaby release

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.20211104001953.568b61b
- Update patches
- Tag the httpd service only when it is used

* Thu Jul 22 2021 OSP Prod Chain <dev-null@redhat.com> 6.1.0-0.20210722221809.b5a5fe5
- Update patches
- Enable policy settings in placement-api

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 6.1.0-0.20210719221809.64d00f0
- Update patches
- Add TripleO job

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 6.1.0-0.20210603225045.4bf070a
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 6.0.0-0.20210528073439.b0d25b6
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 5.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- metadata.json: debian 11

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump requirement of puppetlabs-apache
- Add support for the oslo_policy/enforce_scope parameter
- Prepare Wallaby M3
- Fix the wrong client package name for CentOS7
- Prepare Wallaby M2
- Use yaml instead of json for policy file



